﻿<EditForm Model="@Book" OnValidSubmit="Submit">
    <DataAnnotationsValidator />
    <MudDialog>
        <DialogContent>
            @if (Book.BookId != 0)
            {
                <MudTextField T="int" Label="ID" @bind-Value="Book.BookId" For="@(() => Book.BookId)" />
            }
            <MudTextField T="string" Label="Title" @bind-Value="Book.Title" For="@(() => Book.Title)" />
            <MudTextField T="string" Label="Author" @bind-Value="Book.Author" For="@(() => Book.Author)" />
        </DialogContent>
        <DialogActions>
            <MudButton OnClick="Cancel">キャンセル</MudButton>
            <MudButton ButtonType="ButtonType.Submit" Variant="Variant.Filled" Color="Color.Primary" Class="ml-auto">保存</MudButton>
        </DialogActions>
    </MudDialog>

</EditForm>


@code
{
    [CascadingParameter]
    MudDialogInstance MudDialog { get; set; }

    [Parameter]
    public Book Book { get; set; } = new();

    private void Cancel()
    {
        MudDialog.Cancel();
    }

    private void Submit()
    {
        MudDialog.Close(DialogResult.Ok<Book>(Book));
    }
}